<div class="modal-header no-border bg-primary text-light">
  <h2 class="modal-title">Create Employee</h2>
</div>

<div class="modal-body">
  <form [formGroup]="createEmployee" (validSubmit)="signUp()">
    <div class="form-group form-row mb-3">
      <div class="col">
        <label class="req lbl">Name</label>
        <input
          type="text"
          class="form-control"
          formControlName="name"
          ngbAutoFocus
        />
      </div>
    </div>

    <div class="form-group form-row mb-3">
      <div class="col">
        <label class="req lbl">Position</label>
        <input type="text" class="form-control" formControlName="position" />
      </div>
    </div>

    <div class="form-group form-row mb-3">
      <div class="col">
        <label class="req lbl">Email</label>
        <input type="text" class="form-control" formControlName="email" />
      </div>
    </div>

    <div class="form-row mb-3 col-sm-4 custom-control custom-checkbox">
      <div class="col">
        <input
          type="checkbox"
          class="custom-control-input"
          id="customCheck1"
          (change)="onManager()"
        />
        <label class="custom-control-label lbl" for="customCheck1">Manager</label>
      </div>
    </div>

    <div
      class="form-row mb-3 col-sm-4 custom-control custom-checkbox"
      *ngIf="isManager"
    >
      <div class="col">
        <input
          type="checkbox"
          class="custom-control-input"
          id="customCheck2"
          (change)="onAdmin()"
        />
        <label class="custom-control-label lbl" for="customCheck2">Admin</label>
      </div>
    </div>

    <div class="form-group form-row mb-3" *ngIf="isManager">
      <div class="col">
        <label class="req lbl">Password</label>
        <input
          type="password"
          class="form-control"
          formControlName="password"
        />
      </div>
    </div>

    <div class="form-group form-row mb-3">
      <div class="col-md-6">
        <label class="req lbl">Managed by</label>
        <select
          class="form-control manager-select"
          required
          (change)="onManagerSelect($event)"
        >
          <option value="" disabled selected hidden>Choose a manager</option>
          <option value="Self Managed" *ngIf="isManager">Self Managed</option>
          <option *ngFor="let manager of managers" [ngValue]="">{{
            manager.name
          }}</option>
        </select>
      </div>
      <div class="col-md-6" *ngIf="!isManager">
        <app-skills-select
          (chosenSkills)="onSkillsSelected($event)"
        ></app-skills-select>
      </div>
    </div>

    <div class="modal-footer no-border">
      <button
        class="btn btn-outline-secondary"
        (click)="modal.dismiss({ message: 'dismissed' })"
      >
        Cancel
      </button>
      <button class="btn btn-primary" type="submit">
        Create Employee
      </button>
    </div>
  </form>
</div>
